package de.unisaarland.cs.st.tautoko.verify;

import java.io.File;
import java.io.IOException;
import java.util.Collection;
import java.util.List;

import de.unisaarland.cs.st.adabu.util.Pair;
import de.unisaarland.cs.st.adabu.util.asm.MethodIdentifier;
import de.unisaarland.cs.st.ibugs.util.Util.ExecutionResult;

public interface IVerifierDriver {

	public Pair<ExecutionResult, List<Violation>> testVerifierOnClasses(Collection<String> classNames, String classPath, String spec, File tmpDirectory) throws IOException;
	public Pair<ExecutionResult, List<Violation>> testVerifierOnMethods(Collection<MethodIdentifier> methods, String classPath, String spec, File tmpDirectory) throws IOException;
	
}
