package de.unisaarland.cs.st.tautoko.completion;

import java.io.Serializable;

public class JavaClass implements Serializable {

	private static final long serialVersionUID = -2838681496278531389L;

	private String className;
	
	private String content;

	private String packageName;

	public JavaClass(String packageName, String className, String content) {
		super();
		this.packageName = packageName;
		this.className = className;
		this.content = content;
	}

	public String getPackageName() {
		return packageName;
	}

	public String getClassName() {
		return className;
	}

	public String getContent() {
		return content;
	}
	
	public String toString() {
		return content;
	}
	
	public int hashCode() {
		return content.hashCode();
	}
	
	public boolean equals(Object o) {
		if (o != null & o instanceof JavaClass) {
			return ((JavaClass) o).content.equals(content);
		} else {
			return false;
		}
	}
}
